# Global configuration settings.
collapsiblock.settings:
  type: config_object
  label: 'Collapsiblock global settings'
  mapping:
    default_action:
      type: integer
      label: 'Default block collapse behavior'
      translatable: false
      nullable: false
    active_pages:
      type: boolean
      label: 'Allow menu blocks to be collapsed on page load if they have active links'
      translatable: false
      nullable: false
    slide_speed:
      type: integer
      label: 'Animation speed'
      translatable: false
      nullable: false
    cookie_lifetime:
      type: float
      label: 'Cookie expiration'
      translatable: false
      nullable: true
    switcher_enabled:
      type: boolean
      label: 'Enable collapse arrow color switcher'
      translatable: false
      nullable: false
    switcher_class:
      type: string
      label: 'Color mode trigger class'
      translatable: false
      nullable: false

# Block instance settings.
block.block.*.third_party.collapsiblock:
  type: mapping
  label: 'Collapsiblock block instance settings'
  mapping:
    collapse_action:
      type: integer
      label: 'Block collapse behavior'
